pfodParser 3.61.0 The pfodParser library is handles commands sent from the Android pfodApp, pfodApp supports WiFi, BLE, Bluetooth and SMS connections

Public Member Functions | Protected Member Functions | List of all members
pfodSecurityClient Class Reference

`#include <pfodSecurityClient.h>`

Inherits Stream.

## Public Member Functions
| pfodSecurityClient ()
Stream * | getRawDataStream ()
int | available ()
int | peek ()
int | read ()
void | flush ()
size_t | write (uint8_t b)
size_t | write (const uint8_t *buffer, size_t size)
void | setResponseTimeout (unsigned long timeout_mS)
void | setKeepAliveInterval (uint16_t _interval_mS)
void | setDebugStream (Print *debugOut)
void | connect (Stream *io_arg)
| initialize the Security parser args io_arg the Stream pointer to read and write to for pfod messages More...
void | connect (Stream *io_arg, const __FlashStringHelper *hexKeyPgr)
void | connect (pfod_Base *_pfodBase)
void | connect (pfod_Base *_pfodBase, const __FlashStringHelper *hexKeyPgr)
Stream * | getLinkStream ()
void | closeConnection ()
void | setIdleTimeout (unsigned long timeout_in_seconds)
bool | isIdleTimeout ()
void | init ()

## Protected Member Functions
void | pollIO ()
bool | startConnection ()
void | closeStream ()

## Detailed Description

Definition at line 55 of file pfodSecurityClient.h.

## Constructor & Destructor Documentation

## ◆ pfodSecurityClient()

pfodSecurityClient::pfodSecurityClient | ( |  | ) |

## Member Function Documentation

## ◆ available()

int pfodSecurityClient::available | ( |  | ) |

## ◆ closeConnection()

void pfodSecurityClient::closeConnection | ( |  | ) |

## ◆ closeStream()

void pfodSecurityClient::closeStream | ( |  | ) |
| protected

## ◆ connect() [1/4]

void pfodSecurityClient::connect | ( | pfod_Base * | _pfodBase | ) |

## ◆ connect() [2/4]

void pfodSecurityClient::connect | ( | pfod_Base * | _pfodBase,
|  | const __FlashStringHelper * | hexKeyPgr
| ) |  |

## ◆ connect() [3/4]

void pfodSecurityClient::connect | ( | Stream * | io_arg | ) |

initialize the Security parser args io_arg the Stream pointer to read and write to for pfod messages

eepromAddress the starting address in eeprom to save the key and power cycles amount of eeprom used is (2 bytes power cycles + 1 byte key length + key bytes) ==> 3 + (input hexKey length)/2, use -1 to disable use of EEPROM, pfod_EEPROM.h will also disable EEPROM use for those boards that do not have EEPROm

hexKey pointer to program memory F("hexString") holding the key if this key is different from the current one in eeprom the eeprom is updated and the power cycles are reset to 0xffff if changing the key suggest you add 2 to your eepromAddress to move on from the previous one. The power cycle EEPROM addresses are are written to on each power up if hexKey is omitted or empty or blank then there is no sercurity used and EEPROM is not used.

## ◆ connect() [4/4]

void pfodSecurityClient::connect | ( | Stream * | io_arg,
|  | const __FlashStringHelper * | hexKeyPgr
| ) |  |

## ◆ flush()

void pfodSecurityClient::flush | ( |  | ) |

## ◆ getLinkStream()

Stream* pfodSecurityClient::getLinkStream | ( |  | ) |

## ◆ getRawDataStream()

Stream* pfodSecurityClient::getRawDataStream | ( |  | ) |

## ◆ init()

void pfodSecurityClient::init | ( |  | ) |

## ◆ isIdleTimeout()

bool pfodSecurityClient::isIdleTimeout | ( |  | ) |

## ◆ peek()

int pfodSecurityClient::peek | ( |  | ) |

## ◆ pollIO()

void pfodSecurityClient::pollIO | ( |  | ) |
| protected

## ◆ read()

int pfodSecurityClient::read | ( |  | ) |

## ◆ setDebugStream()

void pfodSecurityClient::setDebugStream | ( | Print * | debugOut | ) |

## ◆ setIdleTimeout()

void pfodSecurityClient::setIdleTimeout | ( | unsigned long | timeout_in_seconds | ) |

## ◆ setKeepAliveInterval()

void pfodSecurityClient::setKeepAliveInterval | ( | uint16_t | _interval_mS | ) |

## ◆ setResponseTimeout()

void pfodSecurityClient::setResponseTimeout | ( | unsigned long | timeout_mS | ) |

## ◆ startConnection()

bool pfodSecurityClient::startConnection | ( |  | ) |
| protected

## ◆ write() [1/2]

size_t pfodSecurityClient::write | ( | const uint8_t * | buffer,
|  | size_t | size
| ) |  |

## ◆ write() [2/2]

size_t pfodSecurityClient::write | ( | uint8_t | b | ) |